$(document).ready(function() {
    // -------------spin-------------------
    var resultWrapper = document.querySelector(".spin-result-wrapper");
    var wheel = document.querySelector(".wheel-img");

    $(".cursor-text").on("click", function(event) {
        $(this).off(event);

        if (wheel.classList.contains('rotated')) {
            resultWrapper.style.display = "block";
        } else {
            wheel.classList.add('super-rotation');
            setTimeout(function() {
                resultWrapper.style.display = "block";
            }, 8000);
            setTimeout(function() {
                $(".spin-wrapper").slideUp();
                $("#certificate-block").slideDown();
                // -------------TIMER------------------------
                var fiveSeconds = new Date().getTime() + 600000;
                $('.timer').countdown(fiveSeconds, {
                        elapse: true
                    })
                    .on('update.countdown', function(event) {
                        var $this = $(this);
                        if (event.elapsed) {
                            $this.html("00 : 00");
                        } else {
                            $this.html(event.strftime('<span>%M</span> : <span>%S</span>'));
                        }
                    });
            }, 9500);
            wheel.classList.add("rotated");
        }
    });

    $(".close-popup, .pop-up-button").click(function(e) {
        e.preventDefault();
        $(".spin-result-wrapper").fadeOut();
    });



    var popupShow = 1;
    $("html").mouseleave(function() {
        if (popupShow === 1) {
            popupShow = 0;
            $(".overlay, .popup").fadeIn();
        }
    });

    $(document).keydown(function(e) {
        if (e.keyCode === 27) {
            $(".overlay, .spin-result-wrapper").fadeOut();
        }
    });

    /*SCROLL*/
    $(".scroll").on("touchend, click", function(e) {
        e.preventDefault();
        $('body,html').animate({ scrollTop: $('.toscroll').offset().top }, 400);
    });

});


let prodLeft = [2, 3, 4, 6, 7, 8, 9, 9, 11, 11, 12, 14, 14, 15, 15, 16, 16, 16, 17, 17, 18, 18, 19, 19, 20, 20, 21, 21, 22, 22, 23, 23];

function start_counting_timer(limitedSeconds) {
    let timeLeft = limitedSeconds;
    let secondsLeft, minutesLeft;
    let timerElement = document.querySelector('.timer');
    let count = setInterval(function() {
        if (timeLeft <= 0) {
            clearTimeout(count);
        } else {
            timeLeft--;
            let min = parseInt(timeLeft / 60);
            minutesLeft = min.toString();
            if (minutesLeft.length === 1) {
                minutesLeft = '0' + minutesLeft;
            }
            let sec = timeLeft % 60;
            secondsLeft = sec.toString();
            if (secondsLeft.length === 1) {
                secondsLeft = '0' + secondsLeft;
            }
            if (sec === 0) {
                document.querySelector('.prod_left_val').innerHTML = prodLeft[min];
            }
            timerElement.innerHTML = minutesLeft + ":" + secondsLeft;
        }
    }, 1000);

}

document.addEventListener('DOMContentLoaded', function() {
    let tstamp = window.localStorage.getItem('tstamp-l2xyg23');
    let limitedSeconds = 1278;
    let prodElement = document.querySelector('.prod_left_val');

    if (tstamp !== null) {
        let now = Math.round(new Date().getTime() / 1000);
        let then = tstamp;
        limitedSeconds = limitedSeconds - (now - then);
        let prod = Math.floor(limitedSeconds / 60);
        if (prod < 0) prod = 0;
        prodElement.innerHTML = prodLeft[prod];
    } else {
        tstamp = Math.round(new Date().getTime() / 1000);
        window.localStorage.setItem('tstamp-l2xyg23', tstamp);
        prodElement.innerHTML = 23;
    }

    start_counting_timer(limitedSeconds);

});